Kernel OOPS during initialization SAA7134 jaunty kernel 2.6.28-4.generic

Bug #316405 reported by syldeb35 on 2009-01-12
62
This bug affects 4 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Manoj Iyer
Jaunty
Undecided
Unassigned

Bug Description

SRU Justification:

Impact: Kernel oops during boot, saa7134 is initialized for AverMedia card.

Fix: In saa7134_tuner_setup function fix the memset size to sizeof xc2028_cfg, fix mentioned on gentoo wiki,
http://en.gentoo-wiki.com/wiki/AverMedia_AverTV_Cardbus_Hybrid_E506R

Test: A test kernel in http://people.ubuntu.com/~manjo/lp316405-jaunty/ was tested by the user and confirmed to fix the problem.

---

Binary package hint: linux-image-2.6.28-4-generic

while booting kernel 2.6.28-4 oops during initialization of saa7134 module.
I need to include saa7134 in blacklist to boot.

here is the trace (during a modprobe after booting):
[77864.324665] saa7130/34: v4l2 driver version 0.2.14 loaded
[77864.324758] saa7134 0000:09:04.0: enabling device (0000 -> 0002)
[77864.324772] saa7134 0000:09:04.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[77864.324783] saa7133[0]: found at 0000:09:04.0, rev: 209, irq: 16, latency: 0, mmio: 0xd2005000
[77864.324795] saa7134 0000:09:04.0: setting latency timer to 64
[77864.324803] saa7133[0]: subsystem: 1461:a836, board: Avermedia M115 [card=138,autodetected]
[77864.325432] saa7133[0]: board init: gpio is a400000
[77864.512103] saa7133[0]: i2c eeprom 00: 61 14 36 a8 00 00 00 00 00 00 00 00 00 00 00 00
[77864.512126] saa7133[0]: i2c eeprom 10: ff ff ff ff ff 20 ff ff ff ff ff ff ff ff ff ff
[77864.512148] saa7133[0]: i2c eeprom 20: 01 40 01 02 02 01 01 03 08 ff 00 c0 ff ff ff ff
[77864.512169] saa7133[0]: i2c eeprom 30: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
[77864.512190] saa7133[0]: i2c eeprom 40: ff 65 00 ff c2 1e ff ff ff ff ff ff ff ff ff ff
[77864.512211] saa7133[0]: i2c eeprom 50: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
[77864.512231] saa7133[0]: i2c eeprom 60: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
[77864.512252] saa7133[0]: i2c eeprom 70: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
[77864.512273] saa7133[0]: i2c eeprom 80: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
[77864.512294] saa7133[0]: i2c eeprom 90: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
[77864.512315] saa7133[0]: i2c eeprom a0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
[77864.512336] saa7133[0]: i2c eeprom b0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
[77864.512357] saa7133[0]: i2c eeprom c0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
[77864.512377] saa7133[0]: i2c eeprom d0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
[77864.512398] saa7133[0]: i2c eeprom e0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
[77864.512419] saa7133[0]: i2c eeprom f0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
[77864.562568] tuner' 3-0061: chip found @ 0xc2 (saa7133[0])
[77864.634127] xc2028 3-0061: creating new instance
[77864.634134] xc2028 3-0061: type set to XCeive xc2028/xc3028 tuner
[77864.634161] BUG: unable to handle kernel paging request at fffffff4
[77864.634170] IP: [<f81ae2c0>] saa7134_board_init2+0x140/0x710 [saa7134]
[77864.634192] *pde = 00791067 *pte = 00000000
[77864.634200] Oops: 0000 [#1] SMP
[77864.634206] last sysfs file: /sys/devices/virtual/net/pan0/statistics/collisions
[77864.634213] Dumping ftrace buffer:
[77864.634218] (ftrace buffer empty)
[77864.634221] Modules linked in: tuner_xc2028 tuner saa7134(+) ir_common compat_ioctl32 v4l2_common videobuf_dma_sg videobuf_core tveeprom binfmt_misc bridge stp bnep vboxnetflt vboxdrv acpi_cpufreq sbp2 lp joydev pcmcia ppdev acer_wmi pcspkr psmouse serio_raw arc4 ecb iTCO_wdt iTCO_vendor_support tifm_7xx1 yenta_socket sdhci_pci sdhci tifm_core rsrc_nonstatic pcmcia_core usbhid gspca_vc032x gspca_main videodev iwl3945 iwlcore v4l1_compat lbm_cw_mac80211 lirc_mceusb2 lirc_dev lbm_cw_cfg80211 led_class btusb parport_pc parport nvidia(P) video snd_hda_intel output snd_pcm snd_seq snd_timer snd_seq_device intel_agp snd soundcore agpgart snd_page_alloc ohci1394 ieee1394 ehci_hcd uhci_hcd sky2 fbcon tileblit font bitblit softcursor fuse
[77864.634345]
[77864.634351] Pid: 6868, comm: modprobe Tainted: P (2.6.28-4-generic #9-Ubuntu) Aspire 9800
[77864.634357] EIP: 0060:[<f81ae2c0>] EFLAGS: 00010286 CPU: 1
[77864.634373] EIP is at saa7134_board_init2+0x140/0x710 [saa7134]
[77864.634378] EAX: 00000000 EBX: 00000000 ECX: 00000000 EDX: 00000000
[77864.634382] ESI: 00000000 EDI: 00000000 EBP: 00000000 ESP: f384fc58
[77864.634387] DS: 007b ES: 007b FS: 00d8 GS: 0033 SS: 0068
[77864.634392] Process modprobe (pid: 6868, ti=f384e000 task=f38aa5b0 task.ti=f384e000)
[77864.634397] Stack:
[77864.634400] 00000303 f384fc5c f384fc5c f3b26000 f6ffa400 f3b26000 f384fcd4 c0144be7
[77864.634413] 000000d0 f81b0889 656e7574 00000072 000000f0 f3b264b0 00000003 f3b26140
[77864.634428] f81ba4d0 f3b264b0 f384fcd4 f81b094d 65626f72 6e696d00 00006c61 00001ad4
[77864.634443] Call Trace:
[77864.634446] [<c0144be7>] ? request_module+0x97/0xf0
[77864.634458] [<f81b0889>] ? saa7134_i2c_eeprom+0xe9/0x110 [saa7134]
[77864.634487] [<f81b094d>] ? saa7134_i2c_register+0x9d/0x120 [saa7134]
[77864.634506] [<f81b963c>] ? saa7134_initdev+0x3cc/0x8d5 [saa7134]
[77864.634538] [<c02caa6e>] ? pci_device_probe+0x5e/0x80
[77864.634550] [<c033d8f4>] ? really_probe+0x54/0x180
[77864.634557] [<c02ca29e>] ? pci_match_device+0xbe/0xd0
[77864.634572] [<c033da5e>] ? driver_probe_device+0x3e/0x50
[77864.634581] [<c033daf9>] ? __driver_attach+0x89/0x90
[77864.634590] [<c033d233>] ? bus_for_each_dev+0x53/0x80
[77864.634597] [<c02ca9b0>] ? pci_device_remove+0x0/0x40
[77864.634607] [<c033d7b9>] ? driver_attach+0x19/0x20
[77864.634614] [<c033da70>] ? __driver_attach+0x0/0x90
[77864.634620] [<c033cc0f>] ? bus_add_driver+0x1af/0x230
[77864.634629] [<c02ca9b0>] ? pci_device_remove+0x0/0x40
[77864.634636] [<c033dc99>] ? driver_register+0x69/0x140
[77864.634647] [<f81b0240>] ? saa7134_init+0x0/0x60 [saa7134]
[77864.634672] [<c02cacca>] ? __pci_register_driver+0x4a/0x90
[77864.634680] [<f81b0240>] ? saa7134_init+0x0/0x60 [saa7134]
[77864.634697] [<f81b0292>] ? saa7134_init+0x52/0x60 [saa7134]
[77864.634723] [<c010111e>] ? _stext+0x2e/0x170
[77864.634730] [<c02052c5>] ? sysfs_addrm_finish+0x15/0xf0
[77864.634737] [<c0204a93>] ? sysfs_add_one+0x13/0x50
[77864.634743] [<c0204b0f>] ? sysfs_addrm_start+0x3f/0xa0
[77864.634750] [<c01a26cc>] ? __vunmap+0x9c/0xe0
[77864.634758] [<c01a26cc>] ? __vunmap+0x9c/0xe0
[77864.634764] [<c01a26cc>] ? __vunmap+0x9c/0xe0
[77864.634780] [<c01a2761>] ? vfree+0x21/0x30
[77864.634786] [<c015dbba>] ? load_module+0x103a/0x1040
[77864.634796] [<c019d3e9>] ? __vma_link_file+0x49/0x80
[77864.634819] [<c015dc48>] ? sys_init_module+0x88/0x1b0
[77864.634826] [<c0103f6b>] ? sysenter_do_call+0x12/0x2f
[77864.634833] Code: d0 20 33 c8 8b 55 90 8b 82 2c 01 00 00 89 5c 24 04 c7 04 24 f8 b3 1b f8 89 44 24 08 e8 b3 20 33 c8 66 90 8b 45 90 e8 40 fd ff ff <8b> 5d f4 31 c0 8b 75 f8 8b 7d fc 89 ec 5d c3 90 8b 4d 90 8b 71
[77864.634915] EIP: [<f81ae2c0>] saa7134_board_init2+0x140/0x710 [saa7134] SS:ESP 0068:f384fc58
[77864.634938] ---[ end trace 230b8e0d78143c97 ]---

lsb_release -rd
Description: Ubuntu jaunty (development branch)
Release: 9.04

lshw
 *-multimedia UNCLAIMED
                description: Multimedia controller
                product: SAA7131/SAA7133/SAA7135 Video Broadcast Decoder
                vendor: Philips Semiconductors
                physical id: 4
                bus info: pci@0000:09:04.0
                version: d1
                width: 32 bits
                clock: 33MHz
                capabilities: pm cap_list
                configuration: latency=0

from http://en.gentoo-wiki.com/wiki/AverMedia_AverTV_Cardbus_Hybrid_E506R :
"There are known problems with 2.6.26 (DVB-T initialization fails) and 2.6.28 (OOPS during initialization) kernels that causes the card initialization to fail."
"2.6.28, you need to apply corresponding patch first: "

File: avermedia-e506r-2.6.28.patch

--- a/linux/drivers/media/video/saa7134/saa7134-cards.c Mon Oct 13 09:37:06 2008 -0200
+++ b/linux/drivers/media/video/saa7134/saa7134-cards.c Fri Nov 14 01:03:00 2008 +0000
@@ -6151,7 +6151,7 @@
   struct v4l2_priv_tun_config xc2028_cfg;
   struct xc2028_ctrl ctl;

- memset(&xc2028_cfg, 0, sizeof(ctl));
+ memset(&xc2028_cfg, 0, sizeof(xc2028_cfg));
   memset(&ctl, 0, sizeof(ctl));

   ctl.fname = XC2028_DEFAULT_FIRMWARE;

(don't know if this can help...)

syldeb35 (sylvain-debray) wrote :

still append with latest kernel 2.6.28-7.19-generic.

syldeb35 (sylvain-debray) wrote :

test with 2.6.28-8 server and generic: same bug

lp1973 (lp1973) wrote :

I have same bug with AverMedia A16D Hybrid Card with 2.6.28-8 kernel (jaunty).

lp1973 (lp1973) wrote :

same bug with 2.6.28-10 kernel

lp1973 (lp1973) on 2009-03-17
Changed in linux:
status: New → Confirmed
smurf (luca-dgh) wrote :

still not working in 2.6.28-11 kernel.
I' ve read about a patch for 2.6.29 kernel. As SAA7134 is the driver for the most popular tv card chipset (Philips) I think that jaunty risks a great problem if doesn't ship 2.6.29 kernel.

bobosca (rscaglia) wrote :

still not working in 2.6.28-11 kernel me too

Nicolas Delvaux (malizor) wrote :

Same problem with Avermedia M115 with 2.6.28-11.
(daily-live, 2009/04/11)

Nicolas Delvaux (malizor) wrote :

In my case, this bug hang Jaunty's boot for around 3 minutes !
(with both live-cd and « true » install)

Effectively, to blacklist saa7134 workaround the boot. It's not THE solution, but I think it can be worth to do nothing: it is easy to remove a blacklisted module if necessary and, in the other hand, a user can think that everything have crashed and may not wait a few minutes on each boot → he may give-up.

Here is an extract of my dmesg (it's very similar to syldeb35's one)

[ 95.692399] [<c0103f6b>] ? sysenter_do_call+0x12/0x2f
[ 95.692399] [<c0500000>] ? relay_hotcpu_callback+0x4d/0xbd
[ 95.692399] Code: 30 58 ec c7 8b 55 90 8b 82 2c 01 00 00 89 5c 24 04 c7 04 24 38 84 64 f8 89 44 24 08 e8 13 58 ec c7 66 90 8b 45 90 e8 40 fd ff ff <8b> 5d f4 31 c0 8b 75 f8 8b 7d fc 89 ec 5d c3 90 8b 4d 90 8b 71
[ 95.692399] EIP: [<f863b2c0>] saa7134_board_init2+0x140/0x710 [saa7134] SS:ESP 0068:f6001c58
[ 95.692399] ---[ end trace d21dcb8059f41868 ]---
[ 277.610090] Adding 1156640k swap on /dev/sda6. Priority:-1 extents:1 across:1156640k
[ 288.803273] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[ 288.803276] Bluetooth: BNEP filters: protocol multicast
[ 288.845507] Bridge firewalling registered
...

Thanks (and sorry for my English)

Nicolas Delvaux (malizor) wrote :

(sorry for multiple posts)

The same module seems to prevent my laptop (acer aspire 9500) to resume from suspend. (Jaunty and Intrepid)
To blacklist saa7134 workaround this too.

tags: added: boot-performance
theaxeman (kcarter-ichr) wrote :

I've finally just had success with this card and have sound and video working (something I wasn't able to achieve on intrepid or hardy). Using jaunty with kernel 2.6.28-11-generic, I originally got the same kernel oops as described above. To get working I did the following:
(1.) Downloaded and installed the firmware for the card, as described on this page - http://en.gentoo-wiki.com/wiki/AverMedia_AverTV_Cardbus_Hybrid_E506R.

(2.) Built v4l from scratch using the instructions on this page: http://plone.lucidsolutions.co.nz/dvb/t/compiling-v4l-dvb-drivers-for-saa7134-and-xc2028 (note using the v4l-dvb branch as described, not any experimental branch)

(3.) Added the following to /etc/modprobe.d/options ->
options saa7134 alsa=1 card=136,136,136,136 tuner=71,71,71,71 i2c_scan=1
- as described on the same page as step 2.

(4). Rebooted the system, the plugged in the card.

After this, the kernel detected with no oops, and tvtime picked up my channels first run with no additional tuning - fantastic!. To get sound running, I had to use the sox wrapper -> sox -v 0.05 -c 2 -s -r 32000 -t ossdsp /dev/dsp1 -t ossdsp -r 32000 /dev/dsp (as described on a number of pages).

Hope this is useful :)

theaxeman (kcarter-ichr) wrote :

Just to add to my last post. I didn't apply any of the workaround patches for the module sources, from pages such as http://en.gentoo-wiki.com/wiki/AverMedia_AverTV_Cardbus_Hybrid_E506R.

Plus the remote is working with the OS (and tvtime) with absolutely no configuration.

Taras Kostenko (eldo-mail) wrote :

How about Compro T750? I have the same issue with long boot and debug messages in dmess. I try anything but it still doesn't work. I added saa7134 to blacklist and Ubuntu boot more faster, but it is wrong solution.

Thanks

Taras Kostenko (eldo-mail) wrote :

Sorry, i use Jaunty and kernel 2.6.28-11-generic

Taras Kostenko (eldo-mail) wrote :

Hi,
Yesterday I got new sources v4l and "modprobe saa7134" load normal. But card still not work. I have the same problem such as on Intrepid (load but not work)

..............
i2c output error: rc = -5 (should be 64)
.............

Now i want only analogue TV but it not work too. Any help?

P.S. Sorry for my bad English

Download full text (9.0 KiB)

Solution (maybe not good idea): upgrade linux kernel to 2.6.29 version
from here http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.29/
with 2.6.29 linux kernel ALL OK! (like with 2.6.27 in Hardy)

-----Original Message-----
From: Taras Kostenko <email address hidden>
To: <email address hidden>
Date: Thu, 23 Apr 2009 06:51:13 -0000
Subject: [Bug 316405] Re: Kernel OOPS during initialization SAA7134 jauntykernel 2.6.28-4.generic

> Hi,
> Yesterday I got new sources v4l and "modprobe saa7134" load normal. But card still not work. I have the same problem such as on Intrepid (load but not work)
>
> ..............
> i2c output error: rc = -5 (should be 64)
> .............
>
> Now i want only analogue TV but it not work too. Any help?
>
> P.S. Sorry for my bad English
>
> --
> Kernel OOPS during initialization SAA7134 jaunty kernel 2.6.28-4.generic
> https://bugs.launchpad.net/bugs/316405
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in "linux" source package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: linux-image-2.6.28-4-generic
>
> while booting kernel 2.6.28-4 oops during initialization of saa7134 module.
> I need to include saa7134 in blacklist to boot.
>
> here is the trace (during a modprobe after booting):
> [77864.324665] saa7130/34: v4l2 driver version 0.2.14 loaded
> [77864.324758] saa7134 0000:09:04.0: enabling device (0000 -> 0002)
> [77864.324772] saa7134 0000:09:04.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
> [77864.324783] saa7133[0]: found at 0000:09:04.0, rev: 209, irq: 16, latency: 0, mmio: 0xd2005000
> [77864.324795] saa7134 0000:09:04.0: setting latency timer to 64
> [77864.324803] saa7133[0]: subsystem: 1461:a836, board: Avermedia M115 [card=138,autodetected]
> [77864.325432] saa7133[0]: board init: gpio is a400000
> [77864.512103] saa7133[0]: i2c eeprom 00: 61 14 36 a8 00 00 00 00 00 00 00 00 00 00 00 00
> [77864.512126] saa7133[0]: i2c eeprom 10: ff ff ff ff ff 20 ff ff ff ff ff ff ff ff ff ff
> [77864.512148] saa7133[0]: i2c eeprom 20: 01 40 01 02 02 01 01 03 08 ff 00 c0 ff ff ff ff
> [77864.512169] saa7133[0]: i2c eeprom 30: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
> [77864.512190] saa7133[0]: i2c eeprom 40: ff 65 00 ff c2 1e ff ff ff ff ff ff ff ff ff ff
> [77864.512211] saa7133[0]: i2c eeprom 50: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
> [77864.512231] saa7133[0]: i2c eeprom 60: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
> [77864.512252] saa7133[0]: i2c eeprom 70: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
> [77864.512273] saa7133[0]: i2c eeprom 80: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
> [77864.512294] saa7133[0]: i2c eeprom 90: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
> [77864.512315] saa7133[0]: i2c eeprom a0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
> [77864.512336] saa7133[0]: i2c eeprom b0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
> [77864.512357] saa7133[0]: i2c eeprom c0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
> [77864.512377] saa7133[0]: i2c eeprom d0: ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
> [77864.512398] saa7133[0]: i2c eeprom e0: ff ff ff ff ff ff ff ff ff ff ...

Read more...

Taras Kostenko (eldo-mail) wrote :

Hi, lp1973
thanks for replay
I've tried your solution, but without sucess. I have an ATI videocard and I can't build fglrx driver with this kernel version.

CarloBecchi (carlo-becchi-web) wrote :

Same issue here with Jaunty Final and 2.6.28-11-generic, the boot took 6 minutes!
Blacklisting the SAA7134 solved the boot issue, but the card doesn't work.

Manoj Iyer (manjo) on 2009-05-04
Changed in linux (Ubuntu):
assignee: nobody → Manoj Iyer (manjo)
Manoj Iyer (manjo) wrote :

Can you please try the kernel in

http://people.ubuntu.com/~manjo/lp316405-jaunty/

and report here if this fixes the kernel oops ?

Séverin Lemaignan (skadge) wrote :

Yes, thanks! It solved the problem on my machine.

Nicolas Delvaux (malizor) wrote :

I can't try this before Thursday.
Is this supposed to fix only the OOPS or also non-working TV-cards ? (as Avermedia M115 for example)
Well, I will see. Thank you for your work.

Manoj Iyer (manjo) wrote :

Submitted SRU for Jaunty

Stefan Bader (smb) on 2009-05-07
description: updated
Stefan Bader (smb) wrote :

Fix committed to Jaunty (target 2.6.28-13.44)

Changed in linux (Ubuntu):
status: Confirmed → Fix Committed
Nicolas Delvaux (malizor) wrote :

Effectively, this has fixed the oops for me too.

Unfortunately, I still have to blacklist saa7134 for having a working resume from suspend/hibernate on my laptop.

It may be related to another issue, I may report a new bug soon.

Japet (japet-yandex) wrote :
Download full text (4.2 KiB)

New kernel (2.6.28-13-generic #44-Ubuntu SMP Tue Jun 2 07:57:31 UTC 2009 i686 GNU/Linux) released, but this bug not fixed :(

[ 91.601810] BUG: unable to handle kernel paging request at fffffff4
[ 91.601819] IP: [<f87412c0>] saa7134_board_init2+0x140/0x710 [saa7134]
[ 91.601841] *pde = 007b7067 *pte = 00000000
[ 91.601849] Oops: 0000 [#1] SMP
[ 91.601854] last sysfs file: /sys/module/videodev/initstate
[ 91.601860] Dumping ftrace buffer:
[ 91.601865] (ftrace buffer empty)
[ 91.601869] Modules linked in: tuner_xc2028 tuner saa7134(+) ir_common videodev v4l1_compat compat_ioctl32 v4l2_common videobuf_dma_sg videobuf_core tveeprom i915 drm binfmt_misc bridge stp bnep vmnet ppdev parport_pc vmblock vmci vmmon input_polldev dm_crypt usbhid coretemp lp parport snd_hda_intel arc4 snd_pcm_oss snd_mixer_oss ecb snd_seq_dummy snd_pcm snd_seq_oss iwl3945 pcmcia snd_seq_midi mac80211 snd_rawmidi snd_seq_midi_event snd_seq iTCO_wdt iTCO_vendor_support snd_timer snd_seq_device led_class intel_agp snd soundcore joydev yenta_socket rsrc_nonstatic pcmcia_core agpgart snd_page_alloc pcspkr cfg80211 video output psmouse serio_raw reiserfs e100 mii fbcon tileblit font bitblit softcursor
[ 91.601986]
[ 91.601991] Pid: 4406, comm: modprobe Not tainted (2.6.28-13-generic #44-Ubuntu) HP 530 Notebook PC(KP479AA#ACB)
[ 91.601998] EIP: 0060:[<f87412c0>] EFLAGS: 00010292 CPU: 0
[ 91.602014] EIP is at saa7134_board_init2+0x140/0x710 [saa7134]
[ 91.602018] EAX: 00000000 EBX: 00000000 ECX: 00000000 EDX: 00000000
[ 91.602023] ESI: 00000000 EDI: 00000000 EBP: 00000000 ESP: f35ebc54
[ 91.602028] DS: 007b ES: 007b FS: 00d8 GS: 0033 SS: 0068
[ 91.602033] Process modprobe (pid: 4406, ti=f35ea000 task=f34f8c90 task.ti=f35ea000)
[ 91.602037] Stack:
[ 91.602040] 00000303 f35ebc58 f35ebc58 f34e9000 f3502c00 f34e9000 f35ebcd0 c014ade7
[ 91.602054] 000000d0 f8743889 656e7574 00000072 000000f0 f34e94b0 00000000 f34e9140
[ 91.602068] f874d490 f34e94b0 f35ebcd0 f874394d 65626f72 642d7000 006d6561 00001136
[ 91.602083] Call Trace:
[ 91.602087] [<c014ade7>] ? request_module+0x97/0xf0
[ 91.602097] [<f8743889>] ? saa7134_i2c_eeprom+0xe9/0x110 [saa7134]
[ 91.602125] [<f874394d>] ? saa7134_i2c_register+0x9d/0x120 [saa7134]
[ 91.602144] [<f874c5fc>] ? saa7134_initdev+0x3cc/0x8d5 [saa7134]
[ 91.602174] [<c02dc44e>] ? pci_device_probe+0x5e/0x80
[ 91.602185] [<c034f054>] ? really_probe+0x54/0x180
[ 91.602194] [<c02dbc7e>] ? pci_match_device+0xbe/0xd0
[ 91.602208] [<c034f1be>] ? driver_probe_device+0x3e/0x50
[ 91.602217] [<c034f259>] ? __driver_attach+0x89/0x90
[ 91.602226] [<c034e993>] ? bus_for_each_dev+0x53/0x80
[ 91.602233] [<c02dc390>] ? pci_device_remove+0x0/0x40
[ 91.602240] [<c034ef19>] ? driver_attach+0x19/0x20
[ 91.602247] [<c034f1d0>] ? __driver_attach+0x0/0x90
[ 91.602253] [<c034e367>] ? bus_add_driver+0x1c7/0x240
[ 91.602264] [<c02dc390>] ? pci_device_remove+0x0/0x40
[ 91.602271] [<c034f3f9>] ? driver_register+0x69/0x140
[ 91.602282] [<f8743240>] ? saa7134_init+0x0/0x60 [saa7134]
[ 91.602305] [<c02dc6aa>] ? __pci_register_driver+0x4a/0x90
[ 91.602313] [<f8743240>] ? saa7134_init...

Read more...

Martin Pitt (pitti) wrote :

Accepted linux into jaunty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in linux (Ubuntu Jaunty):
status: New → Fix Committed
tags: added: verification-needed
Steve Beattie (sbeattie) on 2009-07-27
tags: added: hw-specific
Japet (japet-yandex) wrote :

Seems to be this bug fixed in 2.6.28-14-generic #46-Ubuntu SMP Wed Jul 8 07:21:34 UTC 2009 i686 GNU/Linux. I've get it from the proposed repo and yesterday saw TV from notebook.

Andy Whitcroft (apw) on 2009-08-17
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :
Download full text (7.2 KiB)

This bug was fixed in the package linux - 2.6.28-15.48

---------------
linux (2.6.28-15.48) jaunty-proposed; urgency=low

  [ Andy Whitcroft ]

  * SAUCE: pnp: add PNP resource range checking function
    - LP: #349314
  * SAUCE: i915: enable MCHBAR if needed
    - LP: #349314

  [ Brad Figg ]

  * SAUCE: Add information to recognize Toshiba Satellite Pro M10 Alps
    Touchpad
    - LP: #330885

  [ Colin Ian King ]

  * Input: atkbd - add forced release keys quirk for Samsung Q45
    - LP: #347623

  [ Manoj Iyer ]

  * SAUCE: Added quirk to enable the installer to recognize NetXen NIC.
    - LP: #389603

  [ Stefan Bader ]

  * SAUCE: input: Blacklist digitizers from joydev.c
    - LP: #300143

  [ Tim Gardner ]

  * Revert "SAUCE: md: wait for possible pending deletes after stopping an
    array"
    - LP: #334994

  [ Upstream Kernel Changes ]

  * bonding: Fix updating of speed/duplex changes
    - LP: #371651
  * net: fix sctp breakage
    - LP: #371651
  * ipv6: don't use tw net when accounting for recycled tw
    - LP: #371651
  * ipv6: Plug sk_buff leak in ipv6_rcv (net/ipv6/ip6_input.c)
    - LP: #371651
  * netfilter: nf_conntrack_tcp: fix unaligned memory access in tcp_sack
    - LP: #371651
  * xfrm: spin_lock() should be spin_unlock() in xfrm_state.c
    - LP: #371651
  * bridge: bad error handling when adding invalid ether address
    - LP: #371651
  * bas_gigaset: correctly allocate USB interrupt transfer buffer
    - LP: #371651
  * USB: EHCI: add software retry for transaction errors
    - LP: #371651
  * USB: fix USB_STORAGE_CYPRESS_ATACB
    - LP: #371651
  * USB: usb-storage: increase max_sectors for tape drives
    - LP: #371651
  * USB: gadget: fix rndis regression
    - LP: #371651
  * USB: add quirk to avoid config and interface strings
    - LP: #371651
  * cifs: fix buffer format byte on NT Rename/hardlink
    - LP: #371651
  * b43: fix b43_plcp_get_bitrate_idx_ofdm return type
    - LP: #371651
  * Add a missing unlock_kernel() in raw_open()
    - LP: #371651
  * x86, PAT, PCI: Change vma prot in pci_mmap to reflect inherited prot
    - LP: #371651
  * security/smack: fix oops when setting a size 0 SMACK64 xattr
    - LP: #371651
  * x86, setup: mark %esi as clobbered in E820 BIOS call
    - LP: #371651
  * dock: fix dereference after kfree()
    - LP: #371651
  * mm: define a UNIQUE value for AS_UNEVICTABLE flag
    - LP: #371651
  * mm: do_xip_mapping_read: fix length calculation
    - LP: #371651
  * vfs: skip I_CLEAR state inodes
    - LP: #371651
  * net/netrom: Fix socket locking
    - LP: #371651
  * kprobes: Fix locking imbalance in kretprobes
    - LP: #371651
  * netfilter: {ip, ip6, arp}_tables: fix incorrect loop detection
    - LP: #371651
  * ALSA: hda - add missing comma in ad1884_slave_vols
    - LP: #371651
  * SCSI: libiscsi: fix iscsi pool error path
    - LP: #371651
  * SCSI: libiscsi: fix iscsi pool error path again
    - LP: #371651
  * posixtimers, sched: Fix posix clock monotonicity
    - LP: #371651
  * sched: do not count frozen tasks toward load
    - LP: #371651
  * spi: spi_write_then_read() bugfixes
    - LP: #371651
  * powerpc: Fix data-corrupting bug in __futex_atomic_op
    - LP...

Read more...

Changed in linux (Ubuntu Jaunty):
status: Fix Committed → Fix Released
Jeremy Foshee (jeremyfoshee) wrote :

setting top level task to Fix Released as it was missed.

-JFo

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers